## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyRootDoc

Field Summary
`Map` | `classDocs`
`Map` | `packageDocs`

Constructor Summary
`SimpleGroovyRootDoc(String name)`

Method Summary
`GroovyClassDoc` | `classNamed(String name)`
`def` | `classes()`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`def` | `options()`
`GroovyPackageDoc` | `packageNamed(String packageName)`
`void` | `printError(String arg0)`
`void` | `printNotice(String arg0)`
`void` | `printWarning(String arg0)`
`void` | `put(String packageName, GroovyPackageDoc packageDoc)`
`void` | `putAllClasses(Map classes)`
`void` | `resolve()`
`def` | `specifiedClasses()`
`def` | `specifiedPackages()`

Constructor Detail

### SimpleGroovyRootDoc

    public SimpleGroovyRootDoc(String name)

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String name)

### classes

    public def classes()

### getVisibleClasses

    public Map getVisibleClasses(List importedClassesAndPackages)

### options

    public def options()

### packageNamed

    public GroovyPackageDoc packageNamed(String packageName)

### printError

    public void printError(String arg0)

### printNotice

    public void printNotice(String arg0)

### printWarning

    public void printWarning(String arg0)

### put

    public void put(String packageName, GroovyPackageDoc packageDoc)

### putAllClasses

    public void putAllClasses(Map classes)

### resolve

    public void resolve()

### specifiedClasses

    public def specifiedClasses()

### specifiedPackages

    public def specifiedPackages()